Una herramienta que permite crear ataques "a medida" contra algunos servicios de actualización de programas en línea, parece estar disponible en Internet. Tenga cuidado cuando intente actualizar el software que figura en la lista de productos afectados.

El kit, llamado Evilgrade, es capaz de generar ataques del tipo "man-in-the-middle", ó sea "hombre en el medio" ó intermediario.

Esto es, cuando el usuario cree estar descargando la actualización de un sitio original, usando el propio programa que desea actualizar para ello, alguien ó algo en el medio, intercepta esta comunicación, pudiendo infectar el equipo de la víctima con un programa malicioso.

Los atacantes dicen haber implementado módulos para los siguientes productos (noté que existen errores en algunos de estos nombres, ya que así figuran en el propio README.TXT de la herramienta):

- Java plugin
- Winzip
- Winamp
- MacOS
- OpenOffices
- iTunes
- Linkedin Toolbar
- DAP [Download Accelerator]
- notepad++
- speedbit


Todos estos programas tienen en común, que no realizan un control estricto de que las actualizaciones descargadas sean las correctas ó no se valen de firmas digitales fuertes para comprobar su autenticidad.

Los ataques utilizan varias técnicas, incluida la que aprovecha la vulnerabilidad en servidores DNS que tanto se habla en estos días.

Si usted utiliza cualquiera de los productos mencionados, le recomendamos no aceptar actualizaciones automáticas, al menos por ahora. Es de esperar que algunos de los fabricantes involucrados mejorarán sus mecanismos de autenticación para evitar este tipo de ataque.

Por ejemplo Apple parece haber reforzado estos mecanismos, aunque no han habido anuncios oficiales, al menos hasta el momento.
Fuente